package org.richfaces.bug.beans;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Collection;
import java.util.Date;
import java.util.Iterator;
import java.util.List;
import java.util.logging.Logger;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;
import javax.faces.event.AjaxBehaviorEvent;

import org.richfaces.component.UIExtendedDataTable;


@ManagedBean (name="buildingBean")
@ViewScoped
public class BuildingBean implements Serializable{
	private static final Logger logger = Logger.getLogger(BuildingBean.class.getName());
	

	private List<BuildingDo> buildingList = new ArrayList<BuildingDo>();
	private Collection<Object> selection;
	private String sortMode="single";
	private String selectionMode="single";
	private String tableState;
	


	
	
	
	/**
	 * @return the tableState
	 */
	public String getTableState() {
		return tableState;
	}

	/**
	 * @param tableState the tableState to set
	 */
	public void setTableState(String tableState) {
		this.tableState = tableState;
	}

	/**
	 * @return the sortMode
	 */
	public String getSortMode() {
		return sortMode;
	}

	/**
	 * @param sortMode the sortMode to set
	 */
	public void setSortMode(String sortMode) {
		this.sortMode = sortMode;
	}

	/**
	 * @return the selectionMode
	 */
	public String getSelectionMode() {
		return selectionMode;
	}

	/**
	 * @param selectionMode the selectionMode to set
	 */
	public void setSelectionMode(String selectionMode) {
		this.selectionMode = selectionMode;
	}

	/**
	 * @return the selection
	 */
	public Collection <Object> getSelection() {
		return selection;
	}

	/**
	 * @param selection the selection to set
	 */
	public void setSelection(Collection <Object> selection) {
		this.selection = selection;
	}


	public void populateBuildingList(){
		BuildingDo building1 = new BuildingDo();
		building1.setName("Large Tower");
		building1.setFloors(40);
        building1.setHeight(400);
        building1.setMaterial("Glass and Steel");
		Calendar cal = Calendar.getInstance();
		cal.set(1975, 1, 1);
		cal.getTime();
		building1.setYear(cal.getTime());
		buildingList.add(building1);
		
		BuildingDo building2 = new BuildingDo();
		building2.setName("Large Tower");
		building2.setFloors(40);
        building2.setHeight(400);
        building2.setMaterial("Glass and Steel");
		Calendar newCal = Calendar.getInstance();
		newCal.set(1988, 1, 1);
		newCal.getTime();
		building2.setYear(cal.getTime());
		
		buildingList.add(building2);
		
		
		
	}
	

	public List<BuildingDo> getBuildingList() {
		return buildingList;
	}

	/**
	 * @param substationResults the substationResults to set
	 */
	public void setBuildingList(List<BuildingDo> buildingList) {
		this.buildingList = buildingList;
	}
	



}
